Bug 981264 - It can not ping a reachable ipv6 link-local address
It can not ping a reachable ipv6 link-local address
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 3.5.0
Assigned To: Fabian Deutsch
Virtualization Bugs
node
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 06:33 EDT by wanghui
Modified: 2016-02-10 15:09 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-10 16:43:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ping link-local address (24.42 KB, image/png)
2013-07-04 06:33 EDT, wanghui
no flags Details

  None (edit)
Description wanghui 2013-07-04 06:33:59 EDT
Created attachment 768722 [details]
ping link-local address

Description of problem:
In the ping page, it can not ping a reachable ipv6 link-local address.

Version-Release number of selected component (if applicable):
rhev-hypervisor6-6.5-20130222.0.auto1707.el6.iso
ovirt-node-3.0.0-1.999.20130701111251git99aadc6.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Clean install the rhev-hypervisor6-6.5.
2. Configure the network with ipv6 auto mode.
3. Ping a reachable ipv6 link-local address.

Actual results:
In step3, it can input the successful ping info.
But check it in the cmd like #ping6 -I em1 fe80::1a03:73ff:fe39:9a6e can success.

Expected results:
In step3, it can input the successful ping info.

Additional info:
Comment 2 Fabian Deutsch 2013-07-05 10:55:22 EDT
We can only solve this bug by exposing a list of interfaces which can be used to ping a link-local address.
As link local addresses are only valid on the link, ping6 needs to know what link (device) to use for pinging. And that information is currently not provided to ping6.

Mike,

shall we allow to ping link-local addresses which means that we'll need to add a list of network interfaces to the ping page.
Or shall this case be not supported and the user should use the console to ping a link-local address?
Comment 3 Mike Burns 2013-07-08 09:26:50 EDT
I think being able to ping from a specific interface makes some sense.  I would lean toward making this an RFE though.
Comment 4 Fabian Deutsch 2013-12-10 14:34:41 EST
We can also add zones to the ipv6 addr validator to allow:

   0::1%eth9

or similar
Comment 6 Itamar Heim 2014-08-10 16:43:44 EDT
we're not tackling ipv6 at host level yet in rhev

Note You need to log in before you can comment on or make changes to this bug.